<main *ngFor="let project of projects | async">
  <div class="allProject">
    <button routerLink="/updateProject/{{project.id}}">Update Project</button>
    <h3>Nom du Projet : {{project.name | titlecase}}</h3>
  </div>
  <div class="mainproject">
    <div class="column">
      <div class="column-header">
        <h2>TODO</h2>
        <button routerLink="/addTicket/{{project.id}}">+ Add Ticket</button>
      </div>
      <div class="cards" *ngFor="let ticket of project.tickets">
        <a routerLink="/detailTicket/{{project.id}}/{{ticket.id}}"><div class="card" *ngIf="ticket.status === 'TODO'">
          <div class="card-header">
            <h3>{{ticket.title}}</h3>
            <span class="badge">High</span>
          </div>
          <div class="card-content">
            <p>{{ticket.contenu}}</p>
          </div>
          <div class="card-footer">
            <span>{{ticket.dateCreation}}</span>
            <div class="avatar">
              <img src="https://picsum.photos/seed/picsum/20/20" alt="User avatar">
              <span>{{project.auteur.username}}</span>
            </div>
          </div>
        </div></a>
      </div>
    </div>
  
    <div class="column">
      <div class="column-header">
        <h2>In Progress</h2>
      </div>
      <div class="cards" *ngFor="let ticket of project.tickets" >
        <a routerLink="/detailTicket/{{project.id}}/{{ticket.id}}"><div class="card" *ngIf="ticket.status === 'INPROGRESS'">
          <div class="card-header">
            <h3>{{ticket.title}}</h3>
            <span class="badge">High</span>
          </div>
          <div class="card-content">
            <p>{{ticket.contenu}}</p>
          </div>
          <div class="card-footer">
            <span>{{ticket.dateCreation}}</span>
            <div class="avatar">
              <img src="https://picsum.photos/seed/picsum/20/20" alt="User avatar">
              <span>{{project.auteur.username}}</span>
            </div>
          </div>
        </div></a>
      </div>
    </div>
  
    <div class="column">
      <div class="column-header">
        <h2>TODO</h2>
      </div>
      <div class="cards" *ngFor="let ticket of project.tickets" >
        <a routerLink="/detailTicket/{{project.id}}/{{ticket.id}}"><div class="card" *ngIf="ticket.status === 'DONE'">
          <div class="card-header">
            <h3>{{ticket.title}}</h3>
            <span class="badge">High</span>
          </div>
          <div class="card-content">
            <p>{{ticket.contenu}}</p>s
          </div>
          <div class="card-footer">
            <span>{{ticket.dateCreation}}</span>
            <div class="avatar">
              <img src="https://picsum.photos/seed/picsum/20/20" alt="User avatar">
              <span>{{project.auteur.username}}</span>
            </div>
          </div>
        </div></a>
      </div>
    </div>
  </div>

  
</main>
